<?php


namespace App\Exception\custom;


use App\Exception\BaseException;

class UserException extends BaseException
{
    protected $base_code = Code::USUR;

    protected $cus = [
        0 => 'code 无效',
        1 => '获取openid失败',
        2 => '登陆失败',
        3 => 'encryptedData 不能为空',
        4 => 'iv 不能为空',
        5 => '用户信息不存在',
        6 => '解密失败 不存在',
        7 => '手机号获取失败',
        8 => '绑定手机号失败',
        9 => '该手机号已绑定其他用户不能重复绑定',
        10 => 'mysql 异常',
        11 => '头像昵称更新失败',
        12 => '绑定手机号保存失败',
        13 => '请求太频繁，稍后重试',
    ];
}