<?php

namespace Validate;

class ColonelConfigValidate extends BaseValidate
{
    protected $rule = [
        'date' => 'require',
        'config' => 'require',
    ];

    protected $message = [
        'date' => 'date 参数不能为空',
        'config' => 'config 参数不能为空',
        'marketing_id' => 'marketing_id 参数不能为空',
    ];

    public function sceneAdd()
    {
        return $this->only(["date","config","marketing_id"])->append("marketing_id", "require");
    }
}